Reasons usage report
Get a report of reason usage across orders for a specified time period.
This report provides analytics on how reasons are being used including:
- Discount reasons on order items
- Return reasons on order items
The report includes usage counts and associated monetary amounts.
Required permissions: REPORTINGpost/tenants/{tenantUid}/reports/reasons
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
Request schema for reasons usage report
fromDateTimestring · date-timeRequired
Start date and time for the report period
toDateTimestring · date-timeRequired
End date and time for the report period
storeUidstringOptionalPattern:
^[A-Za-z0-9-_]*Responses
200
Reasons report response with aggregated discount and return reason data
application/json
Response schema for reasons usage report with aggregated discount and return reason data
post/tenants/{tenantUid}/reports/reasons
POST /v2/tenants/{tenantUid}/reports/reasons HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"fromDateTime": "2026-01-01T00:00:00.000Z",
"toDateTime": "2026-01-01T00:00:00.000Z",
"storeUid": "text"
}200
Reasons report response with aggregated discount and return reason data
{
"discountReasons": [
{
"reasonCode": "06",
"reasonDescription": "Campaign",
"totalAmount": 1493263,
"percentageOfTotal": 98.44,
"totalOccurrences": 11
},
{
"reasonCode": "3",
"reasonDescription": "Price guarantee",
"totalAmount": 17469,
"percentageOfTotal": 1.15,
"totalOccurrences": 6
}
],
"returnReasons": [
{
"reasonCode": "feil",
"reasonDescription": "Did not work",
"totalAmount": 749679,
"percentageOfTotal": 93.63,
"totalOccurrences": 250
},
{
"reasonCode": "ikkeønsket",
"reasonDescription": "Did not want it",
"totalAmount": 50965,
"percentageOfTotal": 6.37,
"totalOccurrences": 87
}
]
}Last updated
Was this helpful?

